Linters / Formatters / Validators

Does Webstorm have  Prettier / ESLint integrated right out of the box?
Or do we need to install the extension, install locally, setup a config file ? 

2 comments
Comment actions Permalink

Webstorm doesn't bundle linters with it. You need to install the package (ESLint, Prettier, etc.) along with required plugins (if needed) and setup configuration files according to your preferences (Prettier doesn't require a config BTW unless you'd like to override the default behavior)

0
Comment actions Permalink

So, its like VSC. you have to install the extension, install eslint locally in the terminal, and create a config file and hope it all works together. 

0

Please sign in to leave a comment.